#
# spec file for package kreport
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kreport
Version:        3.0.1
Release:        0
Summary:        Framework for creation and generation of reports
License:        LGPL-2.0
Group:          Productivity/Office/Other
Url:            http://community.kde.org/KReport
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  extra-cmake-modules
BuildRequires:  kconfig-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kguiaddons-devel
BuildRequires:  kproperty-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  marble-devel
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  cmake(Qt5WebKitWidgets)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A framework for creation and generation of reports in multiple formats

%package -n libKReport3-3
Summary:        The library for the Report Creation and generation Framework
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n libKReport3-3
The main library for the Report creation and generation framework

%package devel
Summary:        Development package for KReport
Group:          Development/Libraries/KDE
Requires:       kproperty-devel
Requires:       libKReport3-3 = %{version}

%description devel
Development package for the Report Creation and Generation framework

%prep
%setup -q

%build
%cmake_kf5 -d build
%make_jobs

%install
  %kf5_makeinstall -C build

%post -n libKReport3-3 -p /sbin/ldconfig
%postun -n libKReport3-3 -p /sbin/ldconfig

%files -n libKReport3-3
%defattr(-,root,root,-)
%doc COPYING.LIB
%{_libdir}/libKReport3.so.*

%files
%defattr(-,root,root,-)
%{_datadir}/kreport3/
%{_kf5_servicetypesdir}/kreport_elementplugin.desktop
%{_kf5_plugindir}/kreport3/

%files devel
%defattr(-,root,root,-)
%doc COPYING*
%{_includedir}/KReport3/
%{_libdir}/cmake/KReport3/
%{_libdir}/libKReport3.so
%{_libdir}/pkgconfig/KReport3.pc
%{_kf5_mkspecsdir}/qt_KReport3.pri

%changelog
